Bug 73972 - Does not work when installed with an umask of 077 and messes filesystem
Does not work when installed with an umask of 077 and messes filesystem
Product: Red Hat Linux
Classification: Retired
Component: qtcups (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2002-09-13 12:26 EDT by Enrico Scholz
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-10 08:20:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-09-13 12:26:35 EDT
Description of Problem:

Because this package contains unowned directories, they will be created
with the current umask. When having restrictive administrator settings
(umask 077) ordinary user will not have access to them and can not use
the package.

Another problem occurs when removing packages. Then orphaned directories
are remaining.

| $ rpm -qf /usr/share/qtcups /usr/share/qtcups/qtcups.fr.qm
| file /usr/share/qtcups is not owned by any package
| qtcups-2.0-12

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. umask 077
2. make sure that qtcups is uninstalled completely
   (rm -rf /usr/share/qtcups)
3. rpm -U qtcups-2.0-12.i386.rpm
4. ls -l /usr/share/qtcups
5. try to use the programs/scripts/libraries/data of the package as
   non-root user
6. rpm -e qtcups-2.0-12

Actual Results:

* at 4:
  | drwx------    2 root     root         4096 Sep 13 18:16 /usr/share/qtcups
* files can not be found/read at 5 and
* /usr/share/qtcups still exists after 6.

Note You need to log in before you can comment on or make changes to this bug.